[SCM] Debian packaging of libnet-dhcp-perl branch, master, updated. 1e8eb759162690b4a2de91b5cbefc8531d8b72b9

gregor herrmann gregoa at debian.org
Fri Jan 20 16:45:52 UTC 2012


The following commit has been merged in the master branch:
commit ae661c3467ca9a0e8472b6fb1b020182dafae7e4
Author: gregor herrmann <gregoa at debian.org>
Date:   Fri Jan 20 17:21:19 2012 +0100

    Add repacking framework to remove non-free RFCs.

diff --git a/debian/copyright b/debian/copyright
index cfc2ec3..b1baff7 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -2,6 +2,7 @@ Format-Specification: http://anonscm.debian.org/viewvc/dep/web/deps/dep5.mdwn?vi
 Maintainer: Dean Hamstead <djzort at cpan.org>
 Source: http://search.cpan.org/dist/Net-DHCP/
 Name: Net-DHCP
+Comment: The package is repacked to remove non-free RFCs.
 
 Files: *
 Copyright:
diff --git a/debian/repack.local b/debian/repack.local
new file mode 100644
index 0000000..25318cf
--- /dev/null
+++ b/debian/repack.local
@@ -0,0 +1,3 @@
+MANIFEST=1
+rm docs/bootp-dhcp-parameters.txt
+rm t/.iana.pl
diff --git a/debian/repack.stub b/debian/repack.stub
new file mode 100755
index 0000000..76b65bd
--- /dev/null
+++ b/debian/repack.stub
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+: <<=cut
+=pod
+
+=head1 NAME
+
+repack.stub - script to repack upstream tarballs from uscan
+
+=head1 INSTRUCTIONS
+
+put this in debian/repack.stub and add "debian sh debian/repack.stub" to
+the end of the line in debian/watch. you will also need to add a version
+mangle to debian/watch.
+
+then create a debian/repack.local. this is a shell script that is
+sourced under "set -e", so be careful to check returns codes.
+
+=head1 FUNCTIONS
+
+=over 4
+
+=item rm
+
+rm is replaced by a function that does some magic ("rm -rv" by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item mv
+
+mv is replaced by a function that just does mv (by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item requires_version
+
+requires_version is there for future usage for requiring certain versions of the script
+
+=back
+
+=head1 VARIABLES
+
+=over 4
+
+=item SUFFIX
+
+defaults to +dfsg
+
+what to append to the upstream version
+
+=item RM_OPTS
+
+defaults to -vrf
+
+options to pass to rm
+
+=item MANIFEST
+
+defaults to 0, set to 1 to turn on.
+
+this will manipulate MANIFEST files in CPAN tarballs.
+
+=item UP_BASE
+
+this is the directory where the upstream source is.
+
+=back
+
+=cut
+
+if [ -z "$REPACK_SH" ]; then
+    if [ -f ../../scripts/repack.sh ]; then
+        REPACK_SH=../../scripts/repack.sh
+    fi
+    if [ -z "$REPACK_SH" ] && which repack.sh > /dev/null; then
+        REPACK_SH=$(which repack.sh)
+    fi
+fi
+
+if [ ! -f "$REPACK_SH" ]; then
+    echo "Couldn't find a repack.sh. please put it in your PATH, put it at ../../scripts/repack.sh, or put it somewhere else and set the REPACK_SH variable"
+    echo "You can get it from http://anonscm.debian.org/gitweb/?p=pkg-perl/scripts.git;a=blob_plain;f=repack.sh;hb=HEAD"
+    exit 1
+fi
+
+exec "$REPACK_SH" "$@"
diff --git a/debian/watch b/debian/watch
index 7472276..891cbe3 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,3 +1,5 @@
-# format version number, currently 3; this line is compulsory!
 version=3
-http://search.cpan.org/dist/Net-DHCP/ .*/Net-DHCP-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
+opts=dversionmangle=s/\+dfsg$// \
+	http://search.cpan.org/dist/Net-DHCP/ .*/Net-DHCP-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$ \
+	debian sh debian/repack.stub
+

-- 
Debian packaging of libnet-dhcp-perl



More information about the Pkg-perl-cvs-commits mailing list